2019-08-23 15:38 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002739Spring engineGeneralpublic2016-11-05 20:48
Reporteruser744 
Assigned Tohokomoko 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionunable to reproduce 
Product Version83.0 
Target VersionFixed in Version 
Summary0002739: air transport problems (load/unload & mind own their own)
Descriptionhttp://springrts.com/phpbb/viewtopic.php?f=44&t=27119

Sometimes air transports hover above a unit and are unable to pick it up.
If the unit is moved a small distance, the transport can suddendly pick it up.

Also sometimes air transports will not unload all units.
One way to reproduce that is giving orders with quite small unload circles, though the units should "fit."

Bonus: Sometimes air transports decide to wander around in some random brownian motion style.

To some extend seems to happen in several mods and both 0.82.7.1 and 83.0
Additional Informationtransport_BA7_60_Barren_0.82.7.sdf:
2:00 -> 5 units remain loaded (unloading around commander-> maybe too small unload circle?)

5:30 -> 2 units stay loaded

6:30+ -> transporter loses his mind and wanders around aimless
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0007632

user744

Last edited: 2011-11-19 19:31

transport_bricks_Barren_0.82.7.sdf:
this transport often fails to unload all units.
it seems to fly past the dropzone before all units are dropped.
As it is a gunship, it should just hover in place and drop all units?
Or return for a second pass over the dropzone.
mod is on rapid: Brickcraft_epenis10_17nov2011.sdz
could not reproduce the pick-up problem in this demo but it does happen.

~0016846

hokomoko (developer)

probably fixed
+Notes

-Issue History
Date Modified Username Field Change
2011-11-19 19:06 user744 New Issue
2011-11-19 19:06 user744 File Added: transport_BA7_60_Barren_0.82.7.sdf
2011-11-19 19:30 user744 Note Added: 0007632
2011-11-19 19:31 user744 File Added: transport_bricks_Barren_0.82.7.sdf
2011-11-19 19:31 user744 Note Edited: 0007632
2011-11-19 20:02 abma Product Version 0.82.7.1 => 83.0
2016-11-05 20:48 hokomoko Assigned To => hokomoko
2016-11-05 20:48 hokomoko Status new => resolved
2016-11-05 20:48 hokomoko Resolution open => unable to reproduce
2016-11-05 20:48 hokomoko Note Added: 0016846
+Issue History